# class Byebug::DisableCommand::BreakpointsCommand

Disables all or specific breakpoints

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/disable/breakpoints.rb, line 22
          def self.description
            <<-DESCRIPTION
              dis[able] b[reakpoints][ <id1> <id2> .. <idn>]

              #{short_description}

              Give breakpoint numbers (separated by spaces) as arguments or no
              argument at all if you want to disable every breakpoint.
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/disable/breakpoints.rb, line 18
    def self.regexp
      /^\s* b(?:reakpoints)? (?:\s+ (.+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/disable/breakpoints.rb, line 33
    def self.short_description
      "Disable all or specific breakpoints."
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/disable/breakpoints.rb, line 37
    def execute
      enable_disable_breakpoints("disable", @match[1])
    end